# WOK
TKWOK
WOKOBJS

# WOKOBJS_SchGen Class Reference

`#include <WOKOBJS_SchGen.hxx>`

Inheritance diagram for WOKOBJS_SchGen:

[legend]

## Public Member Functions

Standard_EXPORT | WOKOBJS_SchGen (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT Handle_TCollection_HAsciiString | AdmFileType () const
virtual Standard_EXPORT Handle_TCollection_HAsciiString | OutputDirTypeName () const
virtual Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&infile)
| 1 - Adds File In list if file is compilable or an admfile 2 - Sets Build Flag if file is a compilable
virtual Standard_EXPORT Handle_WOKMake_HSequenceOfInputFile | OutOfDateEntities ()
| Set Build flag to OutOfDate entities Clears Build flag to Uptodate Entities This base implementation does nothing .

## Private Member Functions

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | ComputeIncDirectories () const
virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .

## Constructor & Destructor Documentation

Standard_EXPORT WOKOBJS_SchGen::WOKOBJS_SchGen | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKOBJS_SchGen::AdmFileType | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step.

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKOBJS_SchGen::ComputeIncDirectories | ( |  | ) | const`[private]`

virtual Standard_EXPORT void WOKOBJS_SchGen::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Implements WOKMake_Step.

Standard_EXPORT const WOKOBJS_SchGen::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKMake_Step.

virtual Standard_EXPORT Standard_Boolean WOKOBJS_SchGen::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | infile | ) | `[protected, virtual]`

| Implements WOKMake_Step.

virtual Standard_EXPORT Handle_WOKMake_HSequenceOfInputFile WOKOBJS_SchGen::OutOfDateEntities | ( |  | ) | `[protected, virtual]`

| Reimplemented from WOKMake_Step.

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKOBJS_SchGen::OutputDirTypeName | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step.

The documentation for this class was generated from the following file:

- WOKOBJS_SchGen.hxx